system_localListenAddresses - Polkadot
Example code for the system_localListenAddresses JSON RPC method. Complete guide on how to use system_localListenAddresses JSON RPC in GetBlock Web3 documentation.
This method returns the libp2p multiaddresses the local node is listening on.
Parameters
This method does not accept any parameters.
Request
curl --location --request POST 'https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \
--data-raw '{"jsonrpc": "2.0", "method": "system_localListenAddresses", "params": [], "id": "getblock.io"}'const response = await fetch('https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/', {
method: 'POST',
headers: { 'Content-Type': 'application/json' },
body: JSON.stringify({
jsonrpc: '2.0',
method: 'system_localListenAddresses',
params: [],
id: 'getblock.io'
})
});
const data = await response.json();
console.log(data.result);import requests
response = requests.post(
'https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/',
headers={'Content-Type': 'application/json'},
json={
'jsonrpc': '2.0',
'method': 'system_localListenAddresses',
'params': [],
'id': 'getblock.io'
}
)
print(response.json()['result'])Response
{
"id": "getblock.io",
"jsonrpc": "2.0",
"result": [
"/ip4/127.0.0.1/tcp/30333/p2p/12D3KooWSueCPH3puP2PcvqPJdNaDNF3jMZjtJtDiSy35pWrbt5h",
"/ip6/::1/tcp/30333/p2p/12D3KooWSueCPH3puP2PcvqPJdNaDNF3jMZjtJtDiSy35pWrbt5h"
]
}Response Parameters
id
string
Request identifier matching the request
jsonrpc
string
JSON-RPC protocol version ("2.0")
result
array
Array of listen multiaddresses
Use Cases
Networking: Discover a node's listen addresses
Peer Configuration: Build dial strings for peers
Diagnostics: Confirm listen configuration
Monitoring: Audit exposed addresses
Error Handling
-32602
Invalid params
A parameter is missing or has the wrong type or format
-32601
Method not found
The method is not available on this endpoint
-32603
Internal error
The node failed to process the request
Library Integration
The idiomatic way to call Polkadot RPC is the Polkadot.js API (@polkadot/api), which connects over WebSocket and exposes the method as api.rpc.system.localListenAddresses.
Was this helpful?